<?php

// Disable direct call
if ( ! defined( 'ABSPATH' ) ) { exit; }


/* Theme setup section
-------------------------------------------------------------------- */

if ( !function_exists( 'insurel_template_header_6_theme_setup' ) ) {
	add_action( 'insurel_action_before_init_theme', 'insurel_template_header_6_theme_setup', 1 );
	function insurel_template_header_6_theme_setup() {
		insurel_add_template(array(
			'layout' => 'header_6',
			'mode'   => 'header',
			'title'  => esc_html__('Header 6', 'insurel'),
			'icon'   => insurel_get_file_url('templates/headers/images/6.jpg')
			));
	}
}

// Template output
if ( !function_exists( 'insurel_template_header_6_output' ) ) {
	function insurel_template_header_6_output($post_options, $post_data) {

		// WP custom header
		$header_css = '';
		if ($post_options['position'] != 'over') {
			$header_image = get_header_image();
			$header_css = $header_image!='' 
				? ' style="background-image: url('.esc_url($header_image).')"' 
				: '';
		}
		?>

		<div class="top_panel_fixed_wrap"></div>

		<header class="top_panel_wrap top_panel_style_6 scheme_<?php echo esc_attr($post_options['scheme']); ?>">
			<div class="top_panel_wrap_inner top_panel_inner_style_6 top_panel_position_<?php echo esc_attr(insurel_get_custom_option('top_panel_position'));
			echo (insurel_get_custom_option('top_panel_transparent')=='yes'?' top_panel_transparent':'');?>">
			
			<?php if (insurel_get_custom_option('show_top_panel_top')=='yes') { ?>
                <div class="top_panel_top">
                    <div class="content_wrap clearfix">
                        <?php
                        insurel_template_set_args('top-panel-top', array(
                            'top_panel_top_components' => array('contact_info', 'open_hours', 'login', 'socials', 'currency', 'bookmarks')
                        ));
                        get_template_part(insurel_get_file_slug('templates/headers/_parts/top-panel-top.php'));
                        ?>
                    </div>   
                </div>
            <?php } ?>

			<div class="top_panel_middle" <?php insurel_show_layout($header_css); ?>>
				<div class="content_wrap">
					<div class="contact_logo">
						<?php insurel_show_logo(true, true); ?>
					</div>
					<div class="menu_main_wrap">
						<nav class="menu_main_nav_area menu_hover_<?php echo esc_attr(insurel_get_theme_option('menu_hover')); ?>">
							<?php
							$menu_main = insurel_get_nav_menu('menu_main');
							if (empty($menu_main)) $menu_main = insurel_get_nav_menu();
							insurel_show_layout($menu_main);
							?>
						</nav>
					
						<?php
						if (insurel_get_custom_option('contact_phone')!='') {
							$contact_phone=insurel_get_custom_option('contact_phone');
							?>
							<div class="top_panel_middle_contact_phone">
								<?php if (insurel_get_custom_option('contact_phone_label')!='') {
									$contact_phone_label=insurel_get_custom_option('contact_phone_label');
									?>
								<span class="contact_phone_label">
									<?php echo wp_kses_data($contact_phone_label); ?>
								</span>
									<?php
								} ?><span class="phone"><?php echo '<a href="tel:'.wp_kses_data($contact_phone).'">'.wp_kses_data($contact_phone).'</a> '; ?></span>
							</div>
							<?php
						}
						if (insurel_get_custom_option('show_login')=='yes') {
						?>
						<ul id="<?php echo (!empty($menu_user_id) ? esc_attr($menu_user_id) : 'menu_user'); ?>" class="menu_user_nav">
							<?php
							if ( !is_user_logged_in() ) {
                                // Load core messages
                                insurel_enqueue_messages();
                                // Load Popup engine
                                insurel_enqueue_popup();
								?><li class="menu_user_login"><?php do_action('trx_utils_action_login'); ?></li><?php
							} else {
								$current_user = wp_get_current_user();
								?>
								<li class="menu_user_logout"><a href="<?php echo esc_url(wp_logout_url(home_url('/'))); ?>" class="icon icon-logout"></a></li>
								<?php
							}
							?></ul><?php
						}
						if (insurel_get_custom_option('show_search')=='yes' && function_exists('insurel_sc_search')) {
							insurel_show_layout(insurel_sc_search(array('class'=>"top_panel_icon", 'state'=>"closed", "style"=>insurel_get_theme_option('search_style'))));
						}

						?>

					</div>
				</div>
			</div>

			</div>
		</header>

		<?php
		insurel_storage_set('header_mobile', array(
				 'open_hours' => false,
				 'login' => false,
				 'socials' => false,
				 'bookmarks' => false,
				 'contact_address' => false,
				 'contact_phone_email' => false,
				 'woo_cart' => false,
				 'search' => false
			)
		);
	}
}
?>